import { scaleOrdinal } from 'd3';

const colorscale = scaleOrdinal()
	.domain(['apple','lemon'])
  .range(['red','yellow']);

const radiusscale = scaleOrdinal()
	.domain(['apple','lemon'])
  .range([80,50]);

const xposition = (d, i)=> i * 180 + 100;

export const fruitbowl = (selection,props) => {
  	const { fruits, height } = props;
  	const bowl = selection.selectAll('rect')
    	.data([null])
    	.enter().append('rect')
    	.attr('y',110)
    	.attr('width',920)
    	.attr('height',300)
    	.attr('rx',300/2);
  	const circles = selection.selectAll('circle')
      .data(fruits);//D3 data join is the update selection
    circles
			.enter().append('circle')
  			.attr('cx', xposition)
				.attr('cy', height/2)
      .merge(circles)//merge update
  			.attr('r',d => radiusscale(d.type))
				.attr('fill',d => colorscale(d.type))
   	circles.exit().remove();
  
		const text = selection.selectAll('text')
      .data(fruits);//D3 data join is the update selection
    text
			.enter().append('text')
  			.attr('x', xposition)
				.attr('y', height/2 + 120)
      .merge(text)//merge update
				.text(d => d.type)
   	text.exit().remove();
      //circle itself is the update selection
    }